%define upstream_name    Digest-SHA3
%define upstream_version 1.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Perl extension for SHA-3
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Digest-SHA3
Source0:    https://www.cpan.org/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

Requires:      sha3sum

%description
Digest::SHA3 is written in C for speed. If your platform lacks a C
compiler, perhaps you can find the module in a binary form compatible with
your particular processor and operating system.

The programming interface is easy to use: it's the same one found in CPAN's
the Digest manpage module. So, if your applications currently use the
Digest::SHA manpage and you'd prefer the newer flavor of the NIST standard,
it's a simple matter to convert them.

The interface provides two ways to calculate digests: all-at-once, or in
stages. To illustrate, the following short program computes the SHA3-256
digest of "hello world" using each approach:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

# conflict with sha3sum pkg
rm -rf %{buildroot}%{_bindir}/sha3sum
rm -rf %{buildroot}%{_mandir}/man1/sha3sum.1

%files
%doc Changes META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.50.0-5.mga10
+ Revision: 2235175
- Mageia 10 Mass Rebuild

* Fri Jan 31 2025 daviddavid <daviddavid> 1.50.0-4.mga10
+ Revision: 2143819
- fix conflicting files with sha3sum pkg

* Thu Aug 22 2024 neoclust <neoclust> 1.50.0-3.mga10
+ Revision: 2088037
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 1.50.0-2.mga10
+ Revision: 2010564
- Rebuild for perl-5.38

* Sat Aug 13 2022 tv <tv> 1.50.0-1.mga9
+ Revision: 1877343
- update to 1.05

* Tue Jun 07 2022 umeabot <umeabot> 1.40.0-4.mga9
+ Revision: 1861868
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.40.0-3.mga9
+ Revision: 1795725
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.40.0-2.mga9
+ Revision: 1726566
- Rebuild for perl 5.34

* Fri Feb 26 2021 tv <tv> 1.40.0-1.mga9
+ Revision: 1692122
- imported package perl-Digest-SHA3


* Fri Feb 26 2021 Thierry Vignaud <tv@mageia.org> 1.40.0-1.mga9
- import from CPAN
